public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Virgil Dupras" <vdupras@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-libs/libdlo/
Date: Wed, 14 Nov 2018 15:01:35 +0000 (UTC)	[thread overview]
Message-ID: <1542207679.a9ab67985422f41b6c81ff1e62cbdfb3a2420ac6.vdupras@gentoo> (raw)

commit:     a9ab67985422f41b6c81ff1e62cbdfb3a2420ac6
Author:     Conrad Kostecki <conrad <AT> kostecki <DOT> com>
AuthorDate: Sat Oct 27 10:57:56 2018 +0000
Commit:     Virgil Dupras <vdupras <AT> gentoo <DOT> org>
CommitDate: Wed Nov 14 15:01:19 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a9ab6798

x11-libs/libdlo: bump to EAPI=7

Closes: https://bugs.gentoo.org/669768
Signed-off-by: Conrad Kostecki <conrad <AT> kostecki.com>
Package-Manager: Portage-2.3.51, Repoman-2.3.11
Closes: https://github.com/gentoo/gentoo/pull/10253
Signed-off-by: Virgil Dupras <vdupras <AT> gentoo.org>

 x11-libs/libdlo/libdlo-0.1.2-r1.ebuild | 50 ++++++++++++++++++++++++++++++++++
 x11-libs/libdlo/metadata.xml           |  2 +-
 2 files changed, 51 insertions(+), 1 deletion(-)

diff --git a/x11-libs/libdlo/libdlo-0.1.2-r1.ebuild b/x11-libs/libdlo/libdlo-0.1.2-r1.ebuild
new file mode 100644
index 00000000000..c193c73cc44
--- /dev/null
+++ b/x11-libs/libdlo/libdlo-0.1.2-r1.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+DESCRIPTION="A fully open source driver which supports all DisplayLink devices"
+HOMEPAGE="https://libdlo.freedesktop.org/wiki/"
+SRC_URI="https://people.freedesktop.org/~berniet/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="static-libs test-program"
+
+RDEPEND="virtual/libusb:0="
+DEPEND="${RDEPEND}"
+
+DOCS=( "AUTHORS" "ChangeLog" "Guide-v104.pdf" "README" )
+
+src_prepare() {
+	default
+
+	# AM_PROG_AR must be defined or automake will fail with:
+	# archiver requires 'AM_PROG_AR' in 'configure.ac'.
+	sed -i -e '/AC_PROG_CC/a AM_PROG_AR' configure.ac || die
+
+	# Only build the Displaylink test program, if a user wants it.
+	if ! use test-program; then
+		eapply "${FILESDIR}"/disable-testprogram.patch
+	fi
+
+	eautoreconf
+}
+
+src_configure() {
+	econf $(use_enable static-libs static)
+}
+
+src_install() {
+	default
+
+	# Rename the Displaylink test program to an useful name
+	if use test-program; then
+		mv "${D}"/usr/bin/test1 "${D}"/usr/bin/displaylink-test || die
+	fi
+
+	find "${D}" -name '*.la' -delete || die
+}

diff --git a/x11-libs/libdlo/metadata.xml b/x11-libs/libdlo/metadata.xml
index c0175f30bba..0dae7351b41 100644
--- a/x11-libs/libdlo/metadata.xml
+++ b/x11-libs/libdlo/metadata.xml
@@ -16,6 +16,6 @@
 		And it's also possible to configure X and standard X applications to run on udlfb.
 	</longdescription>
 	<use>
-		<flag name="test-program">Build the program for testing Displaylink devices</flag>
+		<flag name="test-program">Build the program for testing Displaylink devices.</flag>
 	</use>
 </pkgmetadata>


             reply	other threads:[~2018-11-14 15:01 UTC|newest]

Thread overview: 13+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-11-14 15:01 Virgil Dupras [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-02-09 22:57 [gentoo-commits] repo/gentoo:master commit in: x11-libs/libdlo/ Conrad Kostecki
2022-02-09 22:57 Conrad Kostecki
2019-12-15 14:15 Agostino Sarubbo
2019-12-02 23:22 Conrad Kostecki
2019-11-08  2:56 Aaron Bauman
2019-09-26  6:49 Sergei Trofimovich
2019-08-08  3:32 Joonas Niilola
2019-07-21 21:48 Andreas Sturmlechner
2019-06-05  7:46 Agostino Sarubbo
2019-04-13 19:10 Agostino Sarubbo
2018-05-08  7:11 Agostino Sarubbo
2018-05-07 19:22 Thomas Deutschmann

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1542207679.a9ab67985422f41b6c81ff1e62cbdfb3a2420ac6.vdupras@gentoo \
    --to=vdupras@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox